CentOS 5 に Git をインストールしたときのバージョンは 1.8.2.3-1.el5

スポンサードリンク

環境

  • CentOS release 5.11 (Final)

CentOS 5 への Git インストールコマンド

yum --enablerepo=epel install git

EPEL リポジトリを指定しませんと、簡単気軽にはインストールできませんの><。

CentOS 5 への Git インストール記録

# yum --enablerepo=epel install git
Loaded plugins: fastestmirror
Repository 'vz-base' is missing name in configuration, using id
Repository 'vz-updates' is missing name in configuration, using id
Determining fastest mirrors
 * base: ftp.iij.ad.jp
 * epel: ftp.riken.jp
 * extras: ftp.iij.ad.jp
 * updates: ftp.iij.ad.jp
base                                                                    | 1.1 kB     00:00     
epel                                                                    | 3.6 kB     00:00     
epel/primary_db                                                         | 2.4 MB     00:00     
extras                                                                  | 2.1 kB     00:00     
updates                                                                 | 1.9 kB     00:00     
updates/primary_db                                                      | 808 kB     00:00     
vz-base                                                                 |  951 B     00:00     
vz-updates                                                              |  951 B     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package git.i386 0:1.8.2.3-1.el5 set to be updated
--> Processing Dependency: perl-Git = 1.8.2.3-1.el5 for package: git
--> Processing Dependency: perl(Term::ReadKey) for package: git
--> Processing Dependency: perl(Git) for package: git
--> Processing Dependency: perl(Error) for package: git
--> Running transaction check
---> Package perl-Error.noarch 1:0.17010-1.el5 set to be updated
---> Package perl-Git.i386 0:1.8.2.3-1.el5 set to be updated
---> Package perl-TermReadKey.i386 0:2.30-4.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================
 Package                    Arch             Version                      Repository      Size
===============================================================================================
Installing:
 git                        i386             1.8.2.3-1.el5                epel            16 M
Installing for dependencies:
 perl-Error                 noarch           1:0.17010-1.el5              epel            26 k
 perl-Git                   i386             1.8.2.3-1.el5                epel            46 k
 perl-TermReadKey           i386             2.30-4.el5                   epel            32 k

Transaction Summary
===============================================================================================
Install       4 Package(s)
Upgrade       0 Package(s)

Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): perl-Error-0.17010-1.el5.noarch.rpm                              |  26 kB     00:00     
(2/4): perl-TermReadKey-2.30-4.el5.i386.rpm                             |  32 kB     00:00     
(3/4): perl-Git-1.8.2.3-1.el5.i386.rpm                                  |  46 kB     00:00     
(4/4): git-1.8.2.3-1.el5.i386.rpm                                       |  16 MB     00:03     
-----------------------------------------------------------------------------------------------
Total                                                          4.3 MB/s |  16 MB     00:03     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : perl-TermReadKey                                                        1/4 
  Installing     : perl-Error                                                              2/4 
  Installing     : git                                                                     3/4 
  Installing     : perl-Git                                                                4/4 

Installed:
  git.i386 0:1.8.2.3-1.el5                                                                     

Dependency Installed:
  perl-Error.noarch 1:0.17010-1.el5                perl-Git.i386 0:1.8.2.3-1.el5              
  perl-TermReadKey.i386 0:2.30-4.el5              

Complete!
#

おわりに

ずいぶんと古いですこと!とびっくりしました。

以上です。


スポンサードリンク

コメントを残す